Download it now!
Bug 33744 - BrOffice brand for LibreOffice not in Linux
Summary: BrOffice brand for LibreOffice not in Linux
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other Linux (All)
: high major
Assignee: Fridrich Strba
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 32894
  Show dependency treegraph
 
Reported: 2011-01-31 00:55 UTC by Olivier Hallot
Modified: 2011-12-23 15:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Graphics good but name is LibreOffice and should be BrOffice (101.41 KB, image/png)
2011-01-31 15:55 UTC, Olivier Hallot
Details
similar screenshot taken on my SLED11-SP1-x86_64 system (103.21 KB, image/png)
2011-02-01 08:24 UTC, Petr Mladek
Details
patch to use BrOffice name with Brazilian UI localization (529 bytes, patch)
2011-02-11 06:08 UTC, Petr Mladek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2011-01-31 00:55:11 UTC
THe BrOffice branding is partially implemented in Linux packages.

The BrOffice branding graphics are all OK. However the string %PRODUCTNAME is still "LibreOffice" in Linux builds (tested in rpm packages for 64 bits). Should be "BrOffice"

To reproduce, proceed to download the linux version with the langpack, install and confirm this bug.

This causes a lot of confusion in our community.

Thanks
Comment 1 Muthu 2011-01-31 08:28:58 UTC
Petr, one for you?
Comment 2 Petr Mladek 2011-01-31 09:53:46 UTC
Hmm, I am not able to reproduce it. I have installed the final packages from

    LibO_3.3.0_Linux_x86-64_install-rpm_en-US.tar.gz
    LibO_3.3.0_Linux_x86-64_langpack-rpm_pt-BR.tar.gz
    LibO_3.3.0_Linux_x86-64_helppack-rpm_pt-BR.tar.gz

I started the application in the pt_BR locale:

    LANG=pt_BR.UTF-8 /opt/libreoffice/program/soffice

I see BrOffice everywhere:

    + splash screen
    + welcome screen
    + menu "Ajuda/Ajuda do BrOffice"
    + menu "Ajuda/Sobre o BrOffice"
    + menu "Ferramentas/Opcoes.../BrOffice"
    + in the help content

The only "LibreOffice" string is in the "Ajuda/Sobre o BrOffice" (Help/About BrOffice) dialog in the sentence:

--- cut ---
Copyright © 2000, 2010 contribuintes do LibreOffice e/ou suas subsidiárias. Todos os direitos reservados.
--- cut ---

I guess that it is there by purpose.

Oliver, could you please provide more details?
Where do you exactly see the string  %PRODUCTNAME or LibreOffice?
A screenshot might be helpful.
Comment 3 Olivier Hallot 2011-01-31 15:55:38 UTC
Created attachment 42785 [details]
Graphics good but name is LibreOffice and should be BrOffice
Comment 4 Olivier Hallot 2011-01-31 15:58:23 UTC
I have a mandriva 2010.2 X64 system, fresh install (3 days) and all the packages you listed above

[olivier@olivier opt]$ locale
LANG=pt_BR.UTF-8
LC_CTYPE=pt_BR.UTF-8
LC_NUMERIC=pt_BR.UTF-8
LC_TIME=pt_BR.UTF-8
LC_COLLATE=pt_BR.UTF-8
LC_MONETARY=pt_BR.UTF-8
LC_MESSAGES=pt_BR.UTF-8
LC_PAPER=pt_BR.UTF-8
LC_NAME=pt_BR.UTF-8
LC_ADDRESS=pt_BR.UTF-8
LC_TELEPHONE=pt_BR.UTF-8
LC_MEASUREMENT=pt_BR.UTF-8
LC_IDENTIFICATION=pt_BR.UTF-8
LC_ALL=

[olivier@olivier opt]$ /opt/libreoffice/program/soffice
Comment 5 Petr Mladek 2011-02-01 08:24:06 UTC
Created attachment 42810 [details]
similar screenshot taken on my SLED11-SP1-x86_64 system

Hmm, I do not see the problem, see the screenshot. I can't understand where is the difference.

Could you please provide list of installed LO packages? You might get it by the command:

   rpm -qa | grep -i -e libreoffice -e libo

Could you please verify the pakcages using the following command?

rpm -V `rpm -qa | grep -i -e libreoffice -e libo`
Comment 6 Petr Mladek 2011-02-01 08:27:01 UTC
Also, could you please get strace log?
The steps are at http://wiki.documentfoundation.org/BugReport#How_to_get_strace_log_.28on_Linux.29
Comment 7 Petr Mladek 2011-02-01 08:31:13 UTC
Two more ideas:

1. Do you use quickstarter?

2. Could you please try if it helps to start LO with the default configuration?
You might use the following steps:

  + quit LO (make sure that quickstarter is not running)
  + save old configuration using the command: mv ~/.libreoffice 
    ~/.libreoffice.old
  + run /opt/libreoffice/program/soffice
Comment 8 Olivier Hallot 2011-02-01 11:19:25 UTC
Hi Petr, 
In response to you demand of comment 5


[root@olivier ~]# rpm -qa | grep -i -e libreoffice -e libo
libobasis3.3-base-3.3.0-6
libobasis3.3-graphicfilter-3.3.0-6
libreoffice3-impress-3.3.0-6
libORBit2_0-2.14.18-2mdv2010.1
libobasis3.3-en-US-math-3.3.0-6
libobasis3.3-extension-presenter-screen-3.3.0-6
libreoffice3-dict-fr-3.3.0-6
libobasis3.3-pt-BR-help-3.3.0-6
libobasis3.3-impress-3.3.0-6
libobasis3.3-extension-nlpsolver-3.3.0-6
libreoffice3-calc-3.3.0-6
libobasis3.3-pt-BR-base-3.3.0-6
libobasis3.3-core06-3.3.0-6
libobasis3.3-binfilter-3.3.0-6
libobasis3.3-testtool-3.3.0-6
libreoffice3-dict-pt-3.3.0-6
libobasis3.3-core03-3.3.0-6
libobasis3.3-en-US-calc-3.3.0-6
libreoffice3-3.3.0-6
libobasis3.3-extension-presentation-minimizer-3.3.0-6
libobasis3.3-ooofonts-3.3.0-6
libreoffice3-dict-es-3.3.0-6
libobasis3.3-pt-BR-3.3.0-6
libreoffice3-pt-BR-3.3.0-6
liboil-tools-0.3.17-1mdv2010.1
libreoffice3-ure-1.7.0-6
libobasis3.3-en-US-3.3.0-6
libobasis3.3-calc-3.3.0-6
libobasis3.3-extension-mediawiki-publisher-3.3.0-6
libobasis3.3-javafilter-3.3.0-6
libreoffice3-base-3.3.0-6
libreoffice3-math-3.3.0-6
libobasis3.3-pt-BR-writer-3.3.0-6
libobasis3.3-core05-3.3.0-6
libobasis3.3-en-US-res-3.3.0-6
libobasis3.3-writer-3.3.0-6
libobasis3.3-extension-report-builder-3.3.0-6
libobasis3.3-pyuno-3.3.0-6
libreoffice3-draw-3.3.0-6
libobasis3.3-pt-BR-binfilter-3.3.0-6
libofx-0.9.1-2mdv2010.1
libobasis3.3-core02-3.3.0-6
libobasis3.3-en-US-base-3.3.0-6
libobasis3.3-images-3.3.0-6
libogg0-1.2.0-1mdv2010.1
libobasis3.3-extension-pdf-import-3.3.0-6
libobasis3.3-ogltrans-3.3.0-6
libreoffice3-dict-en-3.3.0-6
liborc0.4_0-0.4.4-2mdv2010.1
libreoffice3.3-mandriva-menus-3.3-6
libobasis3.3-pt-BR-res-3.3.0-6
libopenssl1.0.0-1.0.0a-1.6mdv2010.1
libobasis3.3-core07-3.3.0-6
libobasis3.3-en-US-binfilter-3.3.0-6
libobasis3.3-xsltfilter-3.3.0-6
libobasis3.3-pt-BR-calc-3.3.0-6
libopenssl-engines1.0.0-1.0.0a-1.6mdv2010.1
libobasis3.3-core04-3.3.0-6
libobasis3.3-math-3.3.0-6
libobasis3.3-ooolinguistic-3.3.0-6
libobasis3.3-pt-BR-math-3.3.0-6
libobasis3.3-core01-3.3.0-6
libobasis3.3-draw-3.3.0-6
libobasis3.3-kde-integration-3.3.0-6
libreoffice3-writer-3.3.0-6
libobasis3.3-sdk-3.3.0-6
libobasis3.3-en-US-writer-3.3.0-6
libobasis3.3-gnome-integration-3.3.0-6
libreoffice3-en-US-3.3.0-6
[root@olivier ~]#
[root@olivier ~]# rpm -V `rpm -qa | grep -i -e libreoffice -e libo`
S.5....T    /opt/libreoffice/basis3.3/share/config/javasettingsunopkginstall.xml
[root@olivier ~]#


In response to comment 7

1) No quickstarter

2) same effect. No changes.

(will do the strace in a couple of hours)
Comment 9 Petr Mladek 2011-02-03 03:12:47 UTC
The list of packages looks fine. The behavior does not make sense to me. I hope that the strace will help.
Comment 10 Petr Mladek 2011-02-10 07:17:48 UTC
I have seen this behavior in the build for openSUSE that does not use the --enable-broffice configure option.

I see --enable-broffice in libreoffice/build/distro-configs/LibreOfficeLinux.conf.in, so the official Linux build should be correct. I really do not see it with the official build.

Fridrich, you told me that you saw it as well? Could you try to debug it?
Comment 11 Fridrich Strba 2011-02-10 08:40:51 UTC
OK, When I set LANG=pt_BR, it did not help, but I checked my environment and there was LANGUAGE set to en_GB.UTF-8. I set that one to pt_BR.UTF-8 and the names are BrOffice all around the place.
Comment 12 Petr Mladek 2011-02-11 06:08:04 UTC
Created attachment 43251 [details]
patch to use BrOffice name with Brazilian UI localization

It seems that the really used UI localization is defined by the call
MsLangId::getRealLanguage( LANGUAGE_NONE );, see
http://opengrok.libreoffice.org/xref/libs-gui/i18npool/inc/i18npool/mslangid.hxx#74

With this patch, I always get "BrOffice" string in the menu, dialogs, and help with the Brazilian translation. It does not depened if I select the translation using the LANG, LANGAUGE variables or Tools/Options.../Language Settings/Languages/User interface.

I think that this behavior makes sense. Unfortunately, the splash and welcome screen just follow the system locale => they might show LibreOffice even when you force Brazilian UI translation.

If we want to keep the splash, welcome screen and UI branding in sync, we should probably use MsLangId::getSystemLanguage() in the attached patch.

Michael, Fridrich, Olivier, what do you think about it?
Comment 13 Michael Meeks 2011-02-11 09:19:14 UTC
Patch looks fine to me to merge to 3.3.1; can you round up some more reviewers ?
Comment 14 Fridrich Strba 2011-02-14 02:12:04 UTC
Signoff me
Comment 15 Jan Holesovsky 2011-02-14 02:20:37 UTC
Sign-off from me too :-)
Comment 16 Petr Mladek 2011-02-14 02:30:17 UTC
Thanks for approval. I have just cherry picked it to the libreoffice-3-3-1 branch => it will be in 3.3.1rc2 (final) => FIXED
Comment 17 Björn Michaelsen 2011-12-22 05:49:53 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.